---
version: 1
disable_existing_loggers: False
formatters:
  simple:
    format: "%(asctime)s - %(levelname)s - %(name)45s - %(message)s"
  simple1:
    format: "%(asctime)s, %(message)s"
  simple_thread:
    format: "%(asctime)s, %(thread)d %(message)s"

handlers:
  console:
    class: logging.StreamHandler
    level: DEBUG
    formatter: simple
    stream: ext://sys.stdout

  info_file_handler:
    class: logging.handlers.RotatingFileHandler
    level: INFO
    formatter: simple
    filename: "__SESSION_LOGS__/info.log"
    maxBytes: 10485760 # 10MB
    backupCount: 5
    encoding: utf8

  error_file_handler:
    class: logging.handlers.RotatingFileHandler
    level: ERROR
    formatter: simple
    filename: "__SESSION_LOGS__/errors.log"
    maxBytes: 10485760 # 10MB
    backupCount: 5
    encoding: utf8

  
  app_info_file_handler:
    class: logging.handlers.RotatingFileHandler
    level: INFO
    formatter: simple
    filename: "__SESSION_LOGS__/app_info.log"
    maxBytes: 10485760 # 10MB
    backupCount: 5
    encoding: utf8

  stream_status_file_handler:
    class: logging.handlers.RotatingFileHandler
    level: INFO
    formatter: simple
    filename: "__SESSION_LOGS__/stream_status.log"
    maxBytes: 10485760 # 10MB
    backupCount: 5
    encoding: utf8

  precis_file_handler:
    class: logging.handlers.RotatingFileHandler
    level: INFO
    formatter: simple
    filename: "__SESSION_LOGS__/precis.log"
    maxBytes: 10485760 # 10MB
    backupCount: 5
    encoding: utf8


loggers:

  app_info:
    level: INFO
    handlers: [app_info_file_handler]
    propagate: False

  stream_status:
    level: INFO
    handlers: [stream_status_file_handler]
    propagate: False

  precis:
    level: INFO
    handlers: [precis_file_handler]
    propagate: False


root:
  level: INFO
  handlers: [console, info_file_handler, error_file_handler]
  